from django.conf import settings
from django.conf.urls.defaults import *
from historical import views as hi_views
from historical.models import HistoricArticle

# custom views for groups & index
urlpatterns = patterns(
    "historical.views",
    url(r"^$", view=hi_views.index, name="hi-index"),
    url(r"^(?P<slug>[\-\d\w]+)/$", view=hi_views.group_detail, name="hi-group-detail"),
    url(
        r"^(?P<group_slug>[\-\d\w]+)/(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/(?P<slug>[\-\d\w]+)/$",
        view=hi_views.article_detail,
        name="hi-article-detail",
    ),
    url(
        r"^(?P<group_slug>[\-\d\w]+)/(?P<year>\d{4})/(?P<month>[a-z]{3})/(?P<day>\w{1,2})/$",
        view=hi_views.article_archive_day,
        name="hi-article-archive-day",
    ),
    url(
        r"^(?P<group_slug>[\-\d\w]+)/(?P<year>\d{4})/(?P<month>[a-z]{3})/$",
        view=hi_views.article_archive_month,
        name="hi-article-archive-month",
    ),
    url(
        r"^(?P<group_slug>[\-\d\w]+)/(?P<year>\d{4})/$",
        view=hi_views.article_archive_year,
        name="hi-article-archive-year",
    ),
)
